Bug 50706 - A picker in a grid in a viewcell in a tableview does not display the selected item (Windows only)
Summary: A picker in a grid in a viewcell in a tableview does not display the selected...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-12-23 07:45 UTC by Joris Zwaenepoel
Modified: 2017-07-10 09:38 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Sample project demonstrating the issue (113.61 KB, application/x-zip-compressed)
2016-12-23 07:45 UTC, Joris Zwaenepoel
Details

Description Joris Zwaenepoel 2016-12-23 07:45:02 UTC
Created attachment 18979 [details]
Sample project demonstrating the issue

A TableView control, with a ViewCell that is a Grid containing a picker.

When used in a Windows 8.1 project, and you select an item using the picker, the selected item is not displayed.
When the app is resized, the selected item appears.

When used in a UWP project, it seems to have the same behaviour, even when not used in a grid, but also in a stacklayout or directly in a viewcell.


Example XAML:

      <StackLayout>
        <TableView>
          <TableRoot>
            <TableSection>
              <ViewCell>
                <Label Text="Picker in TableView+Grid+ViewCell" />
              </ViewCell>
              <ViewCell>
                <Grid>
                  <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto" />
                    <ColumnDefinition Width="*" />
                  </Grid.ColumnDefinitions>
                  <Label Grid.Column="0" Text="Choose" />
                  <Picker Grid.Column="1" x:Name="pickerInGridInTableView">
                    <Picker.Items>
                      <x:String>"AAAAA"</x:String>
                      <x:String>"BBBBB"</x:String>
                      <x:String>"CCCCC"</x:String>
                    </Picker.Items>
                  </Picker>
                </Grid>
              </ViewCell>
            </TableSection>
          </TableRoot>
        </TableView>
      </StackLayout>



I just found this workaround that seems to work for me:

        private void Pckr_SelectedIndexChanged(object sender, EventArgs e)
        {
            var p = (Picker)sender;
            p.IsVisible = false;
            p.IsVisible = true;
        }
Comment 1 adrianknight89 2016-12-23 15:32:58 UTC
Considering TableView is going to go away eventually, I'm not sure if I'd expect a fix to this soon or at all.
Comment 2 E.Z. Hart [MSFT] 2017-02-14 20:13:32 UTC
This should be fixed in 2.3.5.
Comment 3 Saurabh Paunikar 2017-07-10 09:38:05 UTC
Verified on xamarin.form version 2.3.5.256-pre6

ScreenCast link : https://www.screencast.com/t/qO0ZUsINyz

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.